List clients
curl --request GET \
--url https://api.assembly.com/v1/clients \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/clients"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/clients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"avatarImageUrl": "https://portal.example.com/avatars/alex.png",
"companyId": "550e8400-e29b-41d4-a716-446655440000",
"companyIds": [
"<string>"
],
"createdAt": "2024-01-15T09:30:00Z",
"creationMethod": "client",
"customFields": {},
"deleted": true,
"email": "alex.morgan@example.com",
"fallbackColor": "#4F46E5",
"familyName": "Morgan",
"firstLoginDate": "2024-01-15T09:30:00Z",
"givenName": "Alex",
"id": "550e8400-e29b-41d4-a716-446655440000",
"inviteUrl": "https://portal.example.com/invite/abc123",
"invitedBy": "550e8400-e29b-41d4-a716-446655440001",
"lastLoginDate": "2024-02-20T14:05:00Z",
"status": "active",
"updatedAt": "2024-02-20T14:05:00Z"
}
],
"nextToken": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Clients
List clients
Lists the clients within the portal, paginated. Supports filtering by company, name, email, and tag-based custom field values.
GET
/
v1
/
clients
List clients
Authorizations
Query Parameters
Maximum number of clients to return
Pagination cursor returned by a previous call
Filter by company ID
Filter by client given (first) name
Filter by client family (last) name
Filter by client email
Filter by tag-based custom field values. Repeatable bracket-style param: customFields[]=[,...]. Values within a single bracket are matched with OR; multiple bracketed fields are combined with AND. Only multi-select custom fields are supported.
Show child attributes
Show child attributes
⌘I